> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-urls/update_offer_urls.md).

# Update the offer urls

| HTTP method | Endpoint                                                |
| ----------- | ------------------------------------------------------- |
| **PUT**     | **/v1/offers/{offer\_id}/offer\_urls/{offer\_url\_id}** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter      | Description                      |
| -------------- | -------------------------------- |
| offer\_id      | The unique id for the offer.     |
| offer\_url\_id | The unique id for the offer url. |

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field            | Type   | Description                                                                                                                               | Nullable |
| ---------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| destination\_url | string | The default Offer URL where traffic will be redirected to. Several optional variables/macros can be included in an Offer URL.             | No       |
| name             | string | The name of the this multiple                                                                                                             | No       |
| preview\_url     | string | URL that often skips any geo-targeting or other re-targeting implemented by the Offer URL. Allows Affiliates to view sample landing page. | No       |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field            | Type    | Description                                                                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| id               | integer | The unique id for the offer urls.                                                                                                         |
| status           | string  | The status of the Offer. Allowed values: active·deleted.                                                                                  |
| name             | string  | The name of the this multiple                                                                                                             |
| destination\_url | string  | The default Offer URL where traffic will be redirected to. Several optional variables/macros can be included in an Offer URL.             |
| preview\_url     | array   | URL that often skips any geo-targeting or other re-targeting implemented by the Offer URL. Allows Affiliates to view sample landing page. |
| create\_time     | integer | Create time.                                                                                                                              |
| update\_time     | integer | Update time.                                                                                                                              |

## Example request <a href="#example-request" id="example-request"></a>

**Request PUT** <https://{networkname}.api.offerslook.com/v1/offers/40241/offer_urls/9>

**Request PUT** <http://{networkname}.api.offerslook.com/v1/offers/40241/offer_urls/9>

```
    {
  "destination_url": "https://www.offerslook.com/",
  "name": "test1",
  "preview_url": "https://www.offerslook.com/"
}
```

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "id": 9,
        "status": "Active",
        "name": "test1",
        "destination_url": "https://www.offerslook.com/",
        "preview_url": "https://www.offerslook.com/",
        "create_time": 1540279183,
        "update_time": 1540281217
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-urls/update_offer_urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
